Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class AudioFloatConverter

    java.lang.Object
      com.sun.media.sound.AudioFloatConverter

    public abstract class AudioFloatConverter

extends java.lang.Object

This class is used to convert between 8,16,24,32,32+ bit signed/unsigned big/litle endian fixed/floating point byte buffers and float buffers.

Author:
  Karl Helgason

Field Summary
`static javax.sound.sampled.AudioFormat.Encoding` | `PCM_FLOAT`

Constructor Summary
`AudioFloatConverter()`

Method Summary
`static AudioFloatConverter` | `getConverter(javax.sound.sampled.AudioFormat format)`
`javax.sound.sampled.AudioFormat` | `getFormat()`
`byte[]` | `toByteArray(float[] in_buff, byte[] out_buff)`
`byte[]` | `toByteArray(float[] in_buff, int in_len, byte[] out_buff)`
`byte[]` | `toByteArray(float[] in_buff, int in_len, byte[] out_buff, int out_offset)`
`byte[]` | `toByteArray(float[] in_buff, int in_offset, int in_len, byte[] out_buff)`
`abstract byte[]` | `toByteArray(float[] in_buff, int in_offset, int in_len, byte[] out_buff, int out_offset)`
`float[]` | `toFloatArray(byte[] in_buff, float[] out_buff)`
`float[]` | `toFloatArray(byte[] in_buff, float[] out_buff, int out_len)`
`float[]` | `toFloatArray(byte[] in_buff, float[] out_buff, int out_offset, int out_len)`
`float[]` | `toFloatArray(byte[] in_buff, int in_offset, float[] out_buff, int out_len)`
`abstract float[]` | `toFloatArray(byte[] in_buff, int in_offset, float[] out_buff, int out_offset, int out_len)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PCM_FLOAT

    public static final javax.sound.sampled.AudioFormat.Encoding PCM_FLOAT

Constructor Detail

### AudioFloatConverter

    public AudioFloatConverter()

Method Detail

### getConverter

    public static AudioFloatConverter getConverter(javax.sound.sampled.AudioFormat format)

### getFormat

    public javax.sound.sampled.AudioFormat getFormat()

### toFloatArray

    public abstract float[] toFloatArray(byte[] in_buff,
                                         int in_offset,
                                         float[] out_buff,
                                         int out_offset,
                                         int out_len)

### toFloatArray

    public float[] toFloatArray(byte[] in_buff,
                                float[] out_buff,
                                int out_offset,
                                int out_len)

### toFloatArray

    public float[] toFloatArray(byte[] in_buff,
                                int in_offset,
                                float[] out_buff,
                                int out_len)

### toFloatArray

    public float[] toFloatArray(byte[] in_buff,
                                float[] out_buff,
                                int out_len)

### toFloatArray

    public float[] toFloatArray(byte[] in_buff,
                                float[] out_buff)

### toByteArray

    public abstract byte[] toByteArray(float[] in_buff,
                                       int in_offset,
                                       int in_len,
                                       byte[] out_buff,
                                       int out_offset)

### toByteArray

    public byte[] toByteArray(float[] in_buff,
                              int in_len,
                              byte[] out_buff,
                              int out_offset)

### toByteArray

    public byte[] toByteArray(float[] in_buff,
                              int in_offset,
                              int in_len,
                              byte[] out_buff)

### toByteArray

    public byte[] toByteArray(float[] in_buff,
                              int in_len,
                              byte[] out_buff)

### toByteArray

    public byte[] toByteArray(float[] in_buff,
                              byte[] out_buff)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD